For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • GETGet Units of Measurement Settings
              • PUTUpdate Units of Measurement Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsUnits of Measurement

Get Units of Measurement Settings

GET
https://api.bigcommerce.com/stores/:store_hash/v3/settings/store/units-of-measurement
GET
/stores/:store_hash/v3/settings/store/units-of-measurement
$curl https://api.bigcommerce.com/stores/store_hash/v3/settings/store/units-of-measurement \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "weight_measurement": "Ounces",
4 "length_measurement": "Inches",
5 "decimal_token": ".",
6 "thousands_token": ",",
7 "decimal_places": 2,
8 "factoring_dimension": "depth"
9 },
10 "meta": {}
11}
Get settings for [units of measurements](https://support.bigcommerce.com/s/article/Store-Settings?language=en_US#physical).
Was this page helpful?
Previous

Update Storefront Status

Next

Update Units of Measurement Settings

Built with

Get settings for units of measurements.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Response

OK. When you request channel-level settings, null indicates that a channel does not have overrides.

dataobject
metaobject

Errors

422
Unprocessable Entity Error